module.exports = function(grunt) {
    grunt.initConfig({
        compass: {
            dist: {
                options: {
                    config: 'config.rb'
                }
            }
        },

        watch: {
            sass: {
                files: ['public/assets/css/scss/**/*.scss'],
                tasks: ['compass', 'shell']
            },

            js: {
                files: ['public/assets/js/**/*.js'],
                tasks: ['shell']
            }
        },

        uglify: {
            vendors: {
                files: {
                    'public/assets/js/vendor/plugins.min.js': [
                        'public/components/jquery/dist/jquery.js',
                        'public/assets/js/vendor/validate/jquery.validate.js',
                        'public/assets/js/vendor/mask/jquery.mask.js',
                        'public/assets/js/vendor/jquery-simply-countable/jquery.simplyCountable.js',
                        'public/assets/js/vendor/jquery-ui/jquery-ui.min.js',
                        'public/components/bootstrap/dist/js/bootstrap.min.js'
                    ]
                }
            }
        },

        shell: {
            // only use when working in the workbench directory
            publish: {
                command: 'php ../../../artisan asset:publish --bench="escapework/manager"',
                options: {
                    stdout: true
                }
            }
        }
    });

    grunt.loadNpmTasks('grunt-contrib-compass');
    grunt.loadNpmTasks('grunt-contrib-uglify');
    grunt.loadNpmTasks('grunt-contrib-watch');
    grunt.loadNpmTasks('grunt-shell');

    grunt.registerTask('default', ['uglify', 'compass', 'shell', 'watch']);
    grunt.registerTask('publish', ['shell']);
}
