<?php namespace EscapeWork\Manager\Controllers;

use EscapeWork\Manager\Facades\ManagerAuth;
use View;
use Input;
use Redirect;
use Config;

class LoginController extends ManagerController
{

    public function index()
    {
        if (ManagerAuth::check()) {
            return Redirect::route('manager.home');
        }

        return View::make(Config::get('manager::views.login'));
    }

    public function login()
    {
        $credentials = array(
            'email'    => Input::get('email'),
            'password' => Input::get('password')
        );

        if (ManagerAuth::attempt($credentials, Input::get('remember') == 1)) {
            return Redirect::route(Config::get('manager::redirect_login'))
                           ->with('message', 'Login efetuado com sucesso!');
        } else {
            return Redirect::route('manager.login')
                           ->withInput()
                           ->with('error', 'Login e/ou senha inválidos');
        }
    }

    public function logout()
    {
        ManagerAuth::logout();

        return Redirect::route('manager.home')
                ->with('info', 'Você foi deslogado do sistema');
    }
}
