<?php namespace EscapeWork\Manager\Controllers;

use EscapeWork\Manager\Facades\Check;
use Illuminate\Routing\Controller;
use App;
use View;

class ManagerController extends Controller
{

    /**
     * The page for check the permissions
     *
     * @var  string
     */
    protected $permissionPage;

    public function __construct()
    {
        $this->user         = App::make('EscapeWork\Manager\Repositories\UserRepository');
        $this->userReminder = App::make('EscapeWork\Manager\Repositories\UserReminderRepository');

        View::share('page', null);
    }

    public function validatePermissions($page, $options = [])
    {
        $this->beforeFilter(function() use($page)
        {
            Check::canOrFail($page);
        }, $options);
    }

    public function validateSpecificPermission($page, $permission, $methods = array())
    {
        $this->beforeFilter(function() use($page, $permission)
        {
            Check::canOrFail($page, $permission);
        }, array('only' => $methods));

        return $this;
    }
}
