<?php namespace EscapeWork\Manager\Generators;

use File;

class Generator
{

    /**
     * Templates
     */
    protected $templates = [
        'model' => [
            'template'    => 'model.txt',
            'destination' => 'Models',
            'key'         => 'MODEL',
        ],

        'repository' => [
            'template'    => 'repository.txt',
            'destination' => 'Repositories',
            'key'         => 'REPOSITORY',
        ],

        'controller' => [
            'template'    => 'controller.txt',
            'destination' => 'Controllers/Manager',
            'key'         => 'CONTROLLER',
        ],

        'views.index' => [
            'template' => 'views/index.txt',
            'key'      => 'index',
        ],

        'views.form' => [
            'template' => 'views/form.txt',
            'key'      => 'form',
        ]
    ];

    public function generate($type, $data, $dest_dir)
    {
        $dir     = __DIR__ . '/../../../views/generators/';
        $content = File::get($dir . $this->templates[$type]['template']);

        foreach ($data as $key => $value) {
            $content = str_replace('$'.$key.'$', $value, $content);
        }

        $destination = app_path() . '/../' . $dest_dir . '/' . $data['NAMESPACE'] . '/' . $this->templates[$type]['destination'] . '/' . $data[$this->templates[$type]['key']] . '.php';
        File::put($destination, $content);
    }

    public function view($type, $data, $dest_dir)
    {
        $dir     = __DIR__ . '/../../../views/generators/';
        $content = File::get($dir . $this->templates[$type]['template']);

        foreach ($data as $key => $value) {
            $content = str_replace('$'.$key.'$', $value, $content);
        }

        $destination = app_path() . '/views/manager/' . $data['TABLE'] . '/' . $this->templates[$type]['key'] . '.blade.php';
        File::put($destination, $content);
    }
}
