<?php namespace EscapeWork\Manager\Models;

use EscapeWork\LaravelHelpers\BaseModel;

class Role extends BaseModel
{

    /**
     * Table
     */
    protected $table = 'manager_roles';

    /**
     * Fillable fields
     */
    public $fillable = array(
        'id',
        'title',
        'all_permissions',
    );

    /**
     * Validation rules
     */
    public $validationRules = array(
        'title' => array('required', 'max:255'),
    );

     /**
     * Validation messages
     */
    public $validationMessages = array(
        'title.required' => 'Preencha o nome do perfil',
    );

    public function pages()
    {
        return $this->belongsToMany('EscapeWork\Manager\Models\Page', 'manager_role_pages', 'role_id', 'page_id');
    }

    public function actions()
    {
        return $this->hasMany('EscapeWork\Manager\Models\RoleAction', 'role_id');
    }

    public function scopeNonAdmins($query)
    {
        return $query->where('admin', '=', 0);
    }
}
