<?php namespace EscapeWork\Manager\Providers;

use Illuminate\Support\ServiceProvider;
use View;

class MacrosServiceProvider extends ServiceProvider
{

    public function register()
    {
        $app = $this->app;

        $this->app->before(function() use($app)
        {
            # page header
            $app['form']->macro('manager_breadcrumb', function($pages)
            {
                return View::make('manager::macros.breadcrumb', [
                    'pages' => $pages
                ])->render();
            });

            # page header
            $app['form']->macro('manager_page_header', function($title, $subtitle, $link = null)
            {
                return View::make('manager::macros.page-header', [
                    'title'    => $title,
                    'subtitle' => $subtitle,
                    'link'     => $link
                ])->render();
            });

            # form group - input
            $app['form']->macro('manager_form_group_input', function($data = [])
            {
                return View::make('manager::macros.form-group-input', ['data' => $data])->render();
            });

            # form group - select
            $app['form']->macro('manager_form_group_select', function($data = [])
            {
                return View::make('manager::macros.form-group-select', ['data' => $data])->render();
            });
        });
    }
}
