<?php namespace EscapeWork\Manager\Repositories;

use EscapeWork\LaravelHelpers\BaseRepository;
use EscapeWork\Manager\Models\Page;
use EscapeWork\Manager\Models\PageAction;

class PageRepository extends BaseRepository
{

    public function __construct(Page $model)
    {
        $this->model = $model;
    }

    public function all()
    {
        return $this->model
                    ->with('actions')
                    ->get();
    }

    public function save($actions, $updating = false)
    {
        $this->model->save();

        # salvando as ações
        if ($updating) {
            PageAction::where('page_id', '=', $this->model->id)->delete();
        }

        foreach ($actions as $action) {
            $action = new PageAction([
                'page_id' => $this->model->id,
                'title'   => $action['title'],
                'type'    => $action['type'],
            ]);

            $action->save();
        }
    }
}
