<?php namespace EscapeWork\Manager\Repositories;

use EscapeWork\LaravelHelpers\BaseRepository;
use EscapeWork\Manager\Models\Role;
use EscapeWork\Manager\Models\RoleAction;

class RoleRepository extends BaseRepository
{

    public function __construct(Role $model)
    {
        $this->model = $model;
    }

    public function save($pages, $actions = array(), $updating = false)
    {
        $this->model->save();

        # salvando as páginas
        $this->model->pages()->sync((array) $pages);

        # salvando as ações
        if ($updating) {
            RoleAction::where('role_id', '=', $this->model->id)->delete();
        }

        foreach ((array) $actions as $page_id => $pageActions) {
            foreach ($pageActions as $action_id) {
                $action = new RoleAction([
                    'role_id'   => $this->model->id,
                    'page_id'   => $page_id,
                    'action_id' => $action_id,
                ]);

                $action->save();
            }
        }
    }

    public function allowed($user)
    {
        $query = $this->model->newQuery();

        if (! $user->isAdmin()) {
            $query->nonAdmins();
        }

        return $query->get();
    }
}
