<?php namespace EscapeWork\Manager\Repositories;

use EscapeWork\LaravelHelpers\BaseRepository;
use EscapeWork\Manager\Models\User;

class UserRepository extends BaseRepository
{

    public function __construct(User $model)
    {
        $this->model = $model;
    }

    public function getByEmail($email)
    {
        return $this->model->where('email', '=', $email)->first();
    }

    public function allowed($user)
    {
        $query = $this->model
                      ->select('manager_users.*')
                      ->joinRoles();

        if (! $user->isAdmin()) {
            $query->nonAdmins();
        }

        return $query->get();
    }
}
