<?php

return array(

    /*
    |--------------------------------------------------------------------------
    | URL do manager
    |--------------------------------------------------------------------------
    */
    'url' => '/manager',

    /*
    |--------------------------------------------------------------------------
    | Home Route
    | - A rota para a página inicial (link do logo no manager)
    |--------------------------------------------------------------------------
    */
    'routes' => array(
        'home' => 'home'
    ),

    /*
    |--------------------------------------------------------------------------
    | Página para redirecionar após o login
    |--------------------------------------------------------------------------
    */
    'redirect_login' => 'manager.home',

    /*
    |--------------------------------------------------------------------------
    | Título e subtítulo do manager
    |--------------------------------------------------------------------------
    */
    'title'    => 'escape.manager',
    'subtitle' => 'Manager',

    /*
    |--------------------------------------------------------------------------
    | Views que podem ser sobreescritas
    |--------------------------------------------------------------------------
    */
    'views' => array(
        'home'           => 'manager::home',
        'login'          => 'manager::login',
        'menu'           => 'manager::inc.menu',
        'menu-top-right' => 'manager::inc.menu-top-right',

        'layouts' => array(
            'master' => 'manager::layouts.master',
            'email'  => 'manager::layouts.email',
        ),

        'users' => array(
            'index' => 'manager::users.index',
            'form'  => 'manager::users.form',
        ),

        'pages' => array(
            'index' => 'manager::pages.index',
            'form'  => 'manager::pages.form',
        ),

        'roles' => array(
            'index' => 'manager::roles.index',
            'form'  => 'manager::roles.form',
        ),

        'logs' => array(
            'index' => 'manager::logs.index',
            'show'  => 'manager::logs.show',
        ),
    ),

    /*
    |--------------------------------------------------------------------------
    | Controllers que podem ser sobreescritos
    |--------------------------------------------------------------------------
    */
    'controllers' => array(
        'home' => 'EscapeWork\Manager\Controllers\HomeController@index',

        'login' => array(
            'index'  => 'EscapeWork\Manager\Controllers\LoginController@index',
            'login'  => 'EscapeWork\Manager\Controllers\LoginController@login',
            'logout' => 'EscapeWork\Manager\Controllers\LoginController@logout',
        ),

        'users' => array(
            'index'   => 'EscapeWork\Manager\Controllers\UsersController@index',
            'create'  => 'EscapeWork\Manager\Controllers\UsersController@create',
            'store'   => 'EscapeWork\Manager\Controllers\UsersController@store',
            'show'    => 'EscapeWork\Manager\Controllers\UsersController@show',
            'edit'    => 'EscapeWork\Manager\Controllers\UsersController@edit',
            'update'  => 'EscapeWork\Manager\Controllers\UsersController@update',
            'destroy' => 'EscapeWork\Manager\Controllers\UsersController@destroy',

            'forgot' => array(
                'index'  => 'EscapeWork\Manager\Controllers\UserReminderController@send',
                'reset'  => 'EscapeWork\Manager\Controllers\UserReminderController@index',
                'update' => 'EscapeWork\Manager\Controllers\UserReminderController@reset',
            ),
        ),

        'roles' => array(
            'index'   => 'EscapeWork\Manager\Controllers\RolesController@index',
            'create'  => 'EscapeWork\Manager\Controllers\RolesController@create',
            'store'   => 'EscapeWork\Manager\Controllers\RolesController@store',
            'show'    => 'EscapeWork\Manager\Controllers\RolesController@show',
            'edit'    => 'EscapeWork\Manager\Controllers\RolesController@edit',
            'update'  => 'EscapeWork\Manager\Controllers\RolesController@update',
            'destroy' => 'EscapeWork\Manager\Controllers\RolesController@destroy',
        ),

        'pages' => array(
            'index'   => 'EscapeWork\Manager\Controllers\PagesController@index',
            'create'  => 'EscapeWork\Manager\Controllers\PagesController@create',
            'store'   => 'EscapeWork\Manager\Controllers\PagesController@store',
            'show'    => 'EscapeWork\Manager\Controllers\PagesController@show',
            'edit'    => 'EscapeWork\Manager\Controllers\PagesController@edit',
            'update'  => 'EscapeWork\Manager\Controllers\PagesController@update',
            'destroy' => 'EscapeWork\Manager\Controllers\PagesController@destroy',
        ),

        'logs' => array(
            'index'      => 'EscapeWork\Manager\Controllers\LogsController@index',
            'show'       => 'EscapeWork\Manager\Controllers\LogsController@show',
            'destroy'    => 'EscapeWork\Manager\Controllers\LogsController@destroy',
            'destroyAll' => 'EscapeWork\Manager\Controllers\LogsController@destroyAll',
        ),
    ),

    /*
    |--------------------------------------------------------------------------
    | Favicon path, do manager::layout.master
    |--------------------------------------------------------------------------
    */
    'favicon_path' => '/assets/images/favicon.ico',
);
