<!doctype html>
<html lang="pt-BR">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>{{ Config::get('manager::title') }} | {{ Config::get('manager::subtitle') }}</title>
    <link rel="shortcut icon" href="{{ asset(Config::get('manager::favicon_path')) }}">

    <!-- CSS -->
    @section('styles')
        <link rel="stylesheet" href="{{ asset('packages/escapework/manager/components/bootstrap/dist/css/bootstrap.min.css') }}">
        <link rel="stylesheet" href="{{ asset('packages/escapework/manager/components/bootstrap/dist/css/bootstrap-theme.min.css') }}">
        <link rel="stylesheet" href="{{ asset('packages/escapework/manager/assets/css/vendor/jquery-ui/flick/jquery-ui.min.css') }}">
        <link rel="stylesheet" href="{{ asset('packages/escapework/manager/assets/css/main.css') }}">
    @show
</head>
<body>
    <nav class="navbar navbar-default" role="navigation">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>

                <a class="navbar-brand" href="{{ Config::get('manager::url') }}">{{ Config::get('manager::title') }}</a>
            </div><!-- .navbar-header -->

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    @if (! is_null(Config::get('manager::views.menu')) && ! EscapeWork\Manager\Facades\ManagerAuth::guest())
                        @include(Config::get('manager::views.menu'))
                    @endif
                </ul>

                @if (! is_null(Config::get('manager::views.menu-top-right')) && ! EscapeWork\Manager\Facades\ManagerAuth::guest())
                    @include(Config::get('manager::views.menu-top-right'))
                @endif
            </div><!-- /.navbar-collapse -->
        </div><!-- /.container-fluid -->
    </nav>

    <div class="container">
        <section class="content">
            @yield('content')
        </section><!-- .content -->
    </div><!-- .container -->


    <!-- ========================================================================
         Componentes utilizados via JS
         ======================================================================== -->

    <form action="#" class="hide" id="form-delete" method="post">
        <input type="hidden" name="_method" value="delete">
    </form>

    <div class="modal fade" id="modal-delete">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                    <h4 class="modal-title">Confirmação</h4>
                </div>

                <div class="modal-body">
                    <p>Confirma a exclusão do item?</p>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" id="btn-confirm-delete" data-loading-text="Excluindo...">Excluir</button>
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Cancelar</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    <div class="modal fade" id="modal-message">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                    <h4 class="modal-title" id="modal-message-title">Mensagem</h4>
                </div>

                <div class="modal-body">
                    <p id="modal-message-text"></p>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Ok</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    <!-- ========================================================================
         JS
         ======================================================================== -->
    @section('scripts')
        <script type="text/javascript" src="{{ asset('packages/escapework/manager/assets/js/vendor/plugins.min.js') }}"></script>
        <script type="text/javascript" src="{{ asset('packages/escapework/manager/components/ckeditor/ckeditor.js') }}"></script>
        <script type="text/javascript" src="{{ asset('packages/escapework/manager/assets/js/main.js') }}"></script>
    @show
</body>
</html>
