@extends(Config::get('manager::views.layouts.master'))

@section('content')
    {{ Form::manager_breadcrumb(array('Logs')) }}

    {{
        Form::manager_page_header(
            'Logs do sistema',
            null,
            array(
                'route'    => route('manager.logs.destroyAll'),
                'label'    => 'Excluir todos os logs',
                'attrs'    => ['data-delete' => 'data-delete'],
                'icon'     => 'trash',
                'btn-type' => 'danger'
            )
        )
    }}

    @include('manager::inc.messages')

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>Log</th>
                <th width="15%">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($logs as $log)
                <tr>
                    <td>{{ str_replace(storage_path() . '/logs/', '', $log) }}</td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.logs.show', urlencode(str_replace(storage_path() . '/logs/', '', $log))) }}" class="btn btn-default" title="Visualizar">
                                <i class="glyphicon glyphicon-search"></i> visualizar
                            </a>

                            <a href="{{ route('manager.logs.destroy', urlencode(str_replace(storage_path() . '/logs/', '', $log))) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                <i class="glyphicon glyphicon-trash"></i> excluir
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->
@stop
