@extends(Config::get('manager::views.layouts.master'))

@section('content')
    {{ Form::manager_breadcrumb(['Páginas']) }}

    {{
        Form::manager_page_header(
            'Páginas',
            null,
            array(
                'route'    => route('manager.pages.create'),
                'label'    => 'Inserir nova página',
                'btn-type' => 'primary'
            )
        )
    }}

    @include('manager::inc.messages')

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th width="5%">#</th>
                <th>Página</th>
                <th width="15%">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($pages as $page)
                <tr>
                    <td>{{ $page->id }}</td>
                    <td>{{ $page->title }}</td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.pages.edit', $page->id) }}" class="btn btn-default">
                                <i class="glyphicon glyphicon-pencil"></i> editar
                            </a>

                            <a href="{{ route('manager.pages.destroy', $page->id) }}" class="btn btn-default" data-delete="true">
                                <i class="glyphicon glyphicon-trash"></i> excluir
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->
@stop
