@extends(Config::get('manager::views.layouts.master'))

@section('content')
    {{ Form::manager_breadcrumb([route('manager.users.index') => 'Usuários', 'Perfis']) }}

    {{
        Form::manager_page_header(
            'Perfis',
            null,
            array(
                'route'    => route('manager.roles.create'),
                'label'    => 'Inserir novo perfil',
                'btn-type' => 'primary'
            )
        )
    }}

    @include('manager::inc.messages')

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>Regra</th>
                <th width="15%"></th>
            </tr>
        </thead>
        <tbody>
            @foreach ($roles as $role)
                <tr>
                    <td>{{ $role->title }}</td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.roles.edit', $role->id) }}" class="btn btn-default" {{ $role->id == 1 ? 'disabled' : null }}>
                                <span class="glyphicon glyphicon-pencil"></span> editar
                            </a>

                            <a href="{{ route('manager.roles.destroy', $role->id) }}" class="btn btn-default" data-delete="true" {{ $role->id == 1 ? 'disabled' : null }}>
                                <span class="glyphicon glyphicon-trash"></span> excluir
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->
@stop
