@extends(Config::get('manager::views.layouts.master'))

@section('content')
    {{ Form::manager_breadcrumb(array(route('manager.users.index') => 'Usuários', $edit ? 'Editar' : 'Inserir')) }}

    {{
        Form::manager_page_header(
            'Usuários',
            $edit ? 'Editar usuário' : 'Inserir usuário',
            array('route' => route('manager.users.index'), 'label' => 'Cancelar')
        )
    }}

    @include('manager::inc.messages')

    <form action="{{ !$edit ? route('manager.users.store') : route('manager.users.update', $user->id) }}" method="post" id="form-user" class="form-horizontal">
        @if ($edit)
            <input type="hidden" name="_method" value="put">
        @endif

        <fieldset>
            @section('fields')
                {{ Form::manager_form_group_select([
                    'label'      => 'Perfil',
                    'name'       => 'role_id',
                    'id'         => 'role_id',
                    'collection' => $roles,
                    'active'     => $user->role_id,
                    'required'   => true
                ]) }}

                {{ Form::manager_form_group_input([
                    'label'      => 'Nome',
                    'type'       => 'text',
                    'name'       => 'name',
                    'id'         => 'name',
                    'value'      => $user->name,
                    'required'   => true,
                    'autofocus'  => true
                ]) }}

                {{ Form::manager_form_group_input([
                    'label'      => 'E-mail',
                    'type'       => 'email',
                    'name'       => 'email',
                    'id'         => 'email',
                    'value'      => $user->email,
                    'required'   => true
                ]) }}

                {{ Form::manager_form_group_input([
                    'label'      => 'Senha',
                    'type'       => 'password',
                    'name'       => 'password',
                    'id'         => 'password',
                    'required'   => ! $edit,
                    'help'       => $edit ? 'Apenas preencha se for editar a senha' : null
                ]) }}
            @show

            <div class="form-group">
                <div class="col-sm-offset-2 col-sm-10">
                    <button type="submit" class="btn btn-primary js-btn-submit" data-loading-text="Carregando...">Salvar</button>
                    <a href="{{ route('manager.users.index') }}" class="btn">Cancelar</a>
                </div>
            </div>
        </fieldset>
    </form>
@stop

@section('scripts')
    @parent

    <script type="text/javascript">
    (function() {
        $('#form-user').on('submit', function(e) {
            $(this).find('.js-btn-submit').button('loading');
        });
    })();
    </script>
@stop
