@extends(Config::get('manager::views.layouts.master'))

@section('content')
    {{ Form::manager_breadcrumb(array('Usuários')) }}

    {{
        Form::manager_page_header(
            'Usuários', null,
            array(
                'route'    => route('manager.users.create'),
                'label'    => 'Inserir novo usuário',
                'btn-type' => 'primary'
            )
        )
    }}

    @include('manager::inc.messages')

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>Nome</th>
                <th>E-mail</th>
                <th>Perfil</th>
                <th width="13%"></th>
            </tr>
        </thead>
        <tbody>
            @foreach ($users as $user)
                <tr>
                    <td>{{ $user->name }}</td>
                    <td>{{ $user->email }}</td>
                    <td>{{ $user->role->title }}</td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.users.edit', $user->id) }}" class="btn btn-default" title="Editar">
                                <span class="glyphicon glyphicon-pencil"></span> editar
                            </a>

                            <a href="{{ route('manager.users.destroy', $user->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                <span class="glyphicon glyphicon-trash"></span> excluir
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->
@stop
