@extends(Config::get('manager::views.layouts.master'))

@section('content')
    {{ Form::manager_breadcrumb(array('Esqueci minha senha')) }}

    {{
        Form::manager_page_header(
            'Usuários',
            'Esqueci minha senha',
            array(
                'route'    => route('manager.home'),
                'label'    => 'Cancelar'
            )
        )
    }}

    @include('manager::inc.messages')

    <form action="{{ route('manager.usuarios.reset.update') }}" method="post" id="form-reset-password" class="form-horizontal">
         <input type="hidden" name="token" value="{{ $token }}" />

        <fieldset>
            {{ Form::manager_form_group_input([
                'label'     => 'E-mail',
                'type'      => 'email',
                'name'      => 'email',
                'id'        => 'email',
                'value'     => $reminder->email,
                'required'  => false,
                'attrs'     => array('readonly' => 'readonly')
            ]) }}

            {{ Form::manager_form_group_input([
                'label'     => 'Nova senha',
                'type'      => 'password',
                'name'      => 'password',
                'id'        => 'password',
                'required'  => true,
                'autofocus' => true
            ]) }}

            {{ Form::manager_form_group_input([
                'label'     => 'Confirme sua nova senha',
                'type'      => 'password',
                'name'      => 'password_confirmation',
                'id'        => 'password_confirmation',
                'required'  => true
            ]) }}
        </fieldset>

        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <button type="submit" class="btn btn-primary js-btn-submit" data-loading-text="Aguarde, salvando...">Salvar nova senha</button>
            </div>
        </div>
    </form>
@stop

@section('scripts')
    @parent

    <script type"text/javascript">
        $('#form-reset-password').on('submit', function() {
            $('.js-btn-submit').button('loading');
        });
    </script>
@stop
